<? session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}
if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
include("fphp.php");
include "proceso_numtolet.php";
$enlace = cargar_conexion();

$consulta = mysqli_query($enlace, "select * from empresa where id='" . $_SESSION['id_validar'] . "' ");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$_POST['pie'] = $row['pie'];
	$_POST['encabeza'] = $row['encabeza'];
	$_POST['empresas'] = $row['nombre'];
	$_POST['ciudad'] = $row['ciudad'];
	$_POST['cargo2'] = $row['cargo'];
	$_POST['representante'] = $row['representante'];
	$_POST['cedular'] = $row['cedula'];
	$_POST['con01'] = $row['constante01'];
	$_POST['con02'] = $row['constante02'];
	$_POST['con03'] = $row['constante03'];
	$_POST['con04'] = $row['constante04'];
}
$_POST['usuario'] = $_SESSION['nombre_validar'];

require('fpdf.php');
class PDF extends FPDF
{
	function Header()
	{
		$this->Image($_SESSION['logo_validar'], 10, 10, 30, 30);
		$this->SetFont('arial', 'B', 12);
		$this->Ln(2);
		$this->Cell(0, 5, $_SESSION['empresa_validar'], 0, 0, 'R');
		$this->SetFont('arial', '', 8);
		$this->Ln(4);
		$this->Cell(0, 5, $_POST['encabeza'], 0, 1, 'R');
		$this->SetFont('arial', '', 8);
		$this->Ln(26);
		$this->Cell(0, 5, 'Sres. ', 0, 1, 'L');
		$this->SetFont('arial', 'B', 12);
		$this->Cell(0, 5, $_POST['dirigido'], 0, 1, 'L');
		$this->SetFont('arial', '', 8);
		$this->Cell(0, 5, 'Ciudad.-', 0, 1, 'L');
		$this->SetFont('arial', 'B', 16);
		$this->Ln(5);
		$this->Cell(0, 5, 'CONSTANCIA DE TRABAJO', 0, 1, 'C');
		$this->SetFont('arial', '', 10);
		$this->ln(10);
	}
	function Footer()
	{
		$this->SetY(-20);
		$this->Cell(0, 0, '', 1, 1, 'C');
		$this->SetFont('Times', 'I', 8);
		$this->ln(2);
		$this->Cell(0, 0, utf8_decode($_POST['pie']), 0, 1, 'C');
	}
}
$pdf = new PDF($orientacion = 'P', $unit = 'mm', $format = 'letter');
$pdf->AddPage();
$pdf->AliasNbPages();
$pdf->SetFillColor(224, 235, 255);
$pdf->SetTextColor(0);

$len = strlen(number_format($_POST['smesx'], 2));
$dec = substr(number_format($_POST['smesx'], 2), $len - 2, 2);
$letra = num2letras($_POST['smesx'], 0) . " bolivares con " . $dec . "/100 centimos";

$pdf->SetFont('Arial', '', 8);
$pdf->cell(0, 5, 'Por medio de la presente, yo, ' . $_POST['representante'] . ', titular de la cédula de identidad Nro. ' . $_POST['cedular'] . ',', 0, 1, 'C', 0);
$pdf->cell(0, 5, 'en mi carácter de ' . $_POST['cargo2'] . ' de ' . $_SESSION['empresa_validar'] . ', hago constar que el(la) ciudadano(a):', 0, 1, 'C', 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->ln(3);

$pdf->cell(0, 5, utf8_decode($_POST['nombres'] . ', ' . $_POST['apellidos']), 0, 1, 'C', 0);
$pdf->ln(3);
$pdf->SetFont('Arial', '', 8);
$pdf->cell(0, 5, 'Títular de la cédula de identidad Nro. ' . $_POST['cedula'] . ', labora en esta empresa desde el ' . $_POST['fec'] . ',', 0, 1, 'C', 0);
$pdf->cell(0, 5, 'ocupando el cargo de: ' . $_POST['cargo'], 0, 1, 'C', 0);
$pdf->ln(5);

$pdf->SetFont('Arial', 'B', 12);
$pdf->cell(0, 10, 'CUADRO INFORMATIVO DEL EMPLEADO:', 0, 1, 'C');
$pdf->SetFont('Arial', '', 9);
$pdf->cell(15, 5, '', 0, 0, 'C', 0);
$pdf->cell(35, 5, 'Fecha de Ingreso', 1, 0, 'C', 0);
$pdf->cell(55, 5, 'Años de antigüedad', 1, 0, 'C', 0);
$pdf->cell(30, 5, 'Sueldo Basico', 1, 0, 'C', 0);
$pdf->cell(30, 5, 'Salario Promedio', 1, 0, 'C', 0);
$pdf->cell(30, 5, 'Salario Diario', 1, 0, 'C', 0);
$pdf->cell(15, 5, '', 0, 1, 'C', 0);

$antigüedad  = (mostrar_antigüedad(1, $_POST['fechai'], date('Y-n-j'))) . " Áños, ";
$antigüedad .= (mostrar_antigüedad(2, $_POST['fechai'], date('Y-n-j'))) . " Meses, ";
$antigüedad .= (mostrar_antigüedad(3, $_POST['fechai'], date('Y-n-j'))) . " D�as ";

$pdf->cell(15, 5, '', 0, 0, 'C', 0);
$pdf->cell(35, 5, mostrar_fecha($_POST['fechai']), 1, 0, 'C', 0);
$pdf->cell(55, 5, $antigüedad, 1, 0, 'C', 0);
$pdf->cell(30, 5, number_format($_POST['smes'], 2), 1, 0, 'C', 0);
$pdf->cell(30, 5, number_format($_POST['smesx'], 2), 1, 0, 'C', 0);
$pdf->cell(30, 5, number_format($_POST['smesx'] / 30, 2), 1, 0, 'C', 0);
$pdf->cell(15, 5, '', 0, 1, 'C', 0);
$pdf->ln(5);

$pdf->SetFont('Arial', '', 8);
$pdf->cell(0, 5, 'Salario promedio mensual ultimos 3 meses ', 0, 1, 'C', 0);
$pdf->SetFont('Arial', 'B', 8);
$pdf->cell(0, 5, 'Bs.(' . $letra . ')', 0, 1, 'C', 0);

$dia = num2letras(date("j"));
$ano = num2letras(date("Y"));
$mes = date("n");

$pdf->SetFont('Arial', '', 8);
$pdf->ln(10);
$pdf->cell(0, 5, 'Constancia que se expide por la parte interesada en ' . utf8_decode($_POST['ciudad']) . ', a los ' . $dia . ' d�as ', 0, 1, 'C', 0);
$pdf->cell(0, 5, 'del mes de ' . mes_largo($mes) . ' del a�o ' . $ano . '.', 0, 1, 'C', 0);
$pdf->ln(5);
$pdf->cell(0, 5, 'Sin mas que hacer referencia, ', 0, 1, 'C', 0);
$pdf->cell(0, 5, 'Atentamente, ', 0, 1, 'C', 0);
$pdf->ln(20);
$pdf->cell(0, 5, '--------------------------------------- ', 0, 1, 'C', 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->cell(0, 5, $_POST['representante'], 0, 1, 'C', 0);
$pdf->SetFont('Arial', '', 8);
$pdf->cell(0, 5, 'Firma Autorizado ', 0, 1, 'C', 0);

$pdf->ln(20);
$pdf->SetFont('Arial', '', 8);
$pdf->cell(0, 5, 'Sello de la Empresa', 0, 1, 'C', 0);
$pdf->cell(0, 5, 'RRHH/Expediente Personal', 0, 1, 'L', 0);

$pdf->Output();
mysqli_close($enlace);
